RedCrawler API
Users V1

Browse Users V1

Browse Reddit user directories.

GET /api/v1/profiles/browse/{where}

Browse Reddit user directories.

Path parameters

NameTypeRequiredDescription
wherestringYesDirectory to browse: popular, new

Query parameters

NameTypeRequiredDescription
limitstringNoMax results (1-100, default: 25)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/profiles/browse/<where>?limit=25" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/browse/<where>?limit=25", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/browse/<where>?limit=25"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "is_employee": false,
    "is_friend": false,
    "subreddit": {
      "default_set": true,
      "user_is_contributor": null,
      "banner_img": "",
      "allowed_media_in_comments": [],
      "user_is_banned": null,
      "free_form_reports": true,
      "community_icon": null,
      "show_media": true,
      "icon_color": "#7EED56",
      "user_is_muted": null,
      "display_name": "u_subscriptions",
      "header_img": null,
      "title": "",
      "previous_names": [],
      "over_18": false,
      "icon_size": [
        256,
        256
      ],
      "primary_color": "",
      "icon_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "description": "",
      "submit_link_label": "",
      "header_size": null,
      "restrict_posting": true,
      "restrict_commenting": false,
      "subscribers": 0,
      "submit_text_label": "",
      "is_default_icon": true,
      "link_flair_position": "",
      "display_name_prefixed": "u/subscriptions",
      "key_color": "",
      "name": "t5_examples",
      "is_default_banner": true,
      "url": "/user/subscriptions/",
      "quarantine": false,
      "banner_size": null,
      "user_is_moderator": null,
      "accept_followers": true,
      "public_description": "",
      "link_flair_enabled": false,
      "disable_contributor_requests": false,
      "subreddit_type": "user",
      "user_is_subscriber": null
    },
    "snoovatar_size": null,
    "awardee_karma": 0,
    "id": "9aosb",
    "verified": true,
    "is_gold": false,
    "is_mod": false,
    "awarder_karma": 0,
    "has_verified_email": false,
    "icon_img": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
    "hide_from_robots": false,
    "link_karma": 1,
    "is_blocked": false,
    "total_karma": 1,
    "name": "subscriptions",
    "created": 1350188222.0,
    "created_utc": 1350188222.0,
    "snoovatar_img": "",
    "comment_karma": 0,
    "accept_followers": true,
    "has_subscribed": true
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:51.099959+00:00"
}

On this page